"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _templateObject;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    min-height: fit-content;\n    height: ", ";\n    width: ", "px;\n    overflow: ", ";\n    ", "\n    ", "\n    ", "\n    ", "\n    \n"])), function (props) {
  return props.height ? "".concat(props.height, ";") : null;
}, function (props) {
  return props.width ? "".concat(props.width, ";") : 375;
}, function (props) {
  return props.overflow ? "".concat(props.overflow, ";") : null;
}, function (props) {
  return props.background ? "background: ".concat(props.background, ";") : "color: inherit;";
}, function (props) {
  return props.border ? "border: ".concat(props.border, ";") : null;
}, function (props) {
  return props.color ? "color: ".concat(props.color, ";") : "color: inherit;";
}, function (props) {
  return props.justify ? "justify-content: ".concat(props.justify, ";") : null;
});

Container.propTypes = {
  background: _propTypes.default.string,
  color: _propTypes.default.string,
  border: _propTypes.default.string,
  overflow: _propTypes.default.string,
  height: _propTypes.default.string,
  width: _propTypes.default.string,
  justify: _propTypes.default.string
};
var _default = Container;
exports.default = _default;