"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _templateObject;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Ul = _styledComponents.default.ul(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    ", "\n    list-style-type: none;\n    padding: 0;\n    margin: 0;\n    ", "\n    ", "\n\n"])), function (props) {
  return props.axis === 'y' ? "display: flex;" : null;
}, function (props) {
  return props.outerBorder ? "border: thin solid var(--primary);" : null;
}, function (props) {
  return props.innerBorder ? "\n        li {\n            ".concat(function (props) {
    return props.axis === 'y' ? "margin-right: 3px;" : null;
  }, "\n            div { \n            border-bottom: thin solid var(--primary);\n        };\n    ") : null;
});

var List = function List(props) {
  return /*#__PURE__*/_react.default.createElement(Ul, props, props.items.map(function (item, idx) {
    return /*#__PURE__*/_react.default.createElement("li", {
      key: idx,
      id: item.id
    }, /*#__PURE__*/_react.default.createElement("div", null, item.value));
  }));
};

List.propTypes = {
  items: _propTypes.default.array.isRequired,
  outerBorder: _propTypes.default.bool,
  innerBorder: _propTypes.default.bool,
  hover: _propTypes.default.bool,
  horizontal: _propTypes.default.bool
};
var _default = List;
exports.default = _default;