"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = require("styled-components");

var _templateObject;

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var GlobalStyle = (0, _styledComponents.createGlobalStyle)(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n:root {\n  --primary: #6667ab;\n  --light: #f1ede9;\n  --dark: #38382d;\n\n/* Remove these maybe?? */\n  --teal-050: #effcf6;\n  --teal-100: #c6f7e2;\n  --teal-200: #8eedc7;\n  --teal-300: #65d6ad;\n  --teal-400: #3ebd93;\n  --teal-500: #27ab83;\n  --teal-600: #199473;\n  --teal-700: #147d64;\n  --teal-800: #0c6b58;\n  --teal-900: #014d40;\n\n  --blue-grey-050: #f0f4f8;\n  --blue-grey-100: #d9e2ec;\n  --blue-grey-200: #bcccdc;\n  --blue-grey-300: #9fb3c8;\n  --blue-grey-400: #829ab1;\n  --blue-grey-500: #627d98;\n  --blue-grey-600: #486581;\n  --blue-grey-700: #334e68;\n  --blue-grey-800: #243b53;\n  --blue-grey-900: #102a43;\n}\n\nbody {\n  display: grid;\n  font-family:Verdana, Geneva, Tahoma, sans-serif;\n  width: 100%;\n  background-color: var(--light);\n  color: var(--dark);\n  display: grid;\n}\n.container {\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  width: inherit;\n  align-items: center;\n}\n.header {\n  width: 100%;\n  color: var(--light);\n  background-color: var(--primary);\n  padding-left: 5px;\n  padding-right: 5px;\n  text-align: center;\n}\n.wrapper {\n  border-color: var(--dark);\n  width: 375px;\n  text-align: center;\n}\n/* Autocomplete */\ninput {\n  border: 1px solid var(--primary);\n  padding: 0.5rem;\n  width: 300px;\n}\n.no-suggestions {\n  color: var(--primary);\n  padding: 0.5rem;\n}\n.suggestions {\n  border: 1px solid var(--primary);\n  border-top-width: 0;\n  list-style: none;\n  margin-top: 0;\n  max-height: 143px;\n  overflow-y: auto;\n  padding-left: 0;\n  width: calc(300px + 1rem);\n}\n.suggestions li {\n  padding: 0.5rem;\n}\n.suggestion-active,\n.suggestions li:hover {\n  background-color: var(--blue-grey-300);\n  cursor: pointer;\n  font-weight: 700;\n}\n"])));
var _default = GlobalStyle;
exports.default = _default;